fbpx

Fix lỗi cấu hình SSL cho EasyEngine trên ubuntu 18.0.4

Ở bài trước chúng ta đã sử dụng EasyEngine để cài đặt được WordPress. Mình cũng đã hướng dẫn các bạn các cách cài đặt WordPress từ cơ bản đến nâng cao có sử dụng chứng chỉ SSL. Ở bài này sau khi có một vài bạn gặp những lỗi khi cài đặt với phiên bản ubuntu 18.04 mình tổng hợp lại một số lỗi và các fix như sau.

Lỗi SSL SPDY trên Ubuntu 18.04

Thông báo lỗi như sau

ERR_SPDY_INADEQUATE_TRANSPORT_SECURITY

Cách fix

Để fix được lỗi này chúng ta sẽ thêm cấu hình SSL cho máy chủ NGINX.

  • Theo mặc định, EasyEngine lưu trữ cấu hình SSL tại thư mục ‘/var/www/domain.com/conf/nginx’. Chúng ta sẽ truy cập vào thư mục và chỉnh sửa file ssl.conf.
    cd /var/www/domain.com/conf/nginx
  • Bây giờ tiến hành chỉnh sửa file ssl.conf
    vi ssl.conf
  • Thêm cấu hình ‘ssl_ciphers’ bên dưới vào file ssl.conf.
    ssl_ciphers 'ECDHE-RSA-AES128-GCM-SHA256:AES256+EECDH:AES256+EDH';

  • Lưu lại và thoát ra. Sau đó khởi động lại EasyEngine stack bằng lệnh sau.
    sudo ee stack restart

Lỗi tạo SSL Letsencrypt

Thông báo lỗi như sau

Unable to setup, Let's Encrypt

Cách fix

Theo mặc định, EasyEngine tạo máy chủ ảo nginx có chứa tên miền ‘domain.com’ và ‘www.domain.com’. Vì vậy, hãy đảm bảo bạn đã thêm CNAME ‘www’ trên cấu hình DNS của mình.

Tổng kết

Trên đây là một số lỗi thường gặp phải khi cài WordPress trên EasyEngine. Nếu các bạn gặp lỗi tương tự hoặc những lỗi khác mà không fix được thì để lại comment phía dưới. Chúng ta cùng giúp đỡ nhau đưa ra những giải pháp để giải quyết những vấn đề đó.

Một số tài liệu tham khảo

Các bạn có thể tham khảo các câu lệnh mà EasyEngine support ở tại đây nhé (https://easyengine.io/docs/commands).

 

Leave a Reply

Your email address will not be published. Required fields are marked *